HomeGuidesAPI Reference
API Reference

Get Boost stats for multiple appliances

Retrieves WAN Optimization (Boost) aggregate statistics for multiple appliances. Submit appliance IDs in the request body to get bandwidth optimization metrics.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Query Params
int64
required
≥ 0

Start time in seconds since EPOCH. Must be >= 0 and less than endTime.

int64
required
≥ 0

End time in seconds since EPOCH. Must be >= 0 and greater than startTime.

string
enum
required

Time-based aggregation level. Controls grouping interval for statistics.

Allowed:
string
enum

Output format. Set to 'csv' for downloadable CSV file.

Allowed:
boolean
Defaults to true

Group results by appliance. When true, includes nePk in response.

Body Params

List of appliance IDs to query. All IDs must exist in GMS.

Request body containing the list of appliance identifiers.

nePks
array of objects
required

List of appliance identifiers (nePks).

nePks*
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized - Authentication required

403

Forbidden - Requires READ or READ_WRITE role

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/vnd.ms-excel